<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum ProductStockQuality: string
{
    use HasValues;

    case GOOD = 'good';
    case REJECT = 'reject';
    case RETAIL = 'retail';

    public function label(): string
    {
        return match ($this) {
            self::GOOD => 'Bagus',
            self::REJECT => 'Reject',
            self::RETAIL => 'Ecer',
        };
    }
}
